# Easter-eggs Authentic2 addons

This python package provide Authentic2 addons:

- a custom Zxcvbn based password validator with similar configuration than LdapSaisie

## Installation

```bash
git clone https://gitlab.easter-eggs.com/ee/eeauthentic2.git /usr/local/src/eeauthentic2
cd /usr/local/src/eeauthentic2
pip install .
cp conf/01-eeauthentic2.py /etc/authentic2/settings.d/01-eeauthentic2.py
mkdir -p /var/lib/authentic2/templates/authentic2/widgets/
ln -s /usr/local/src/eeauthentic2/templates/authentic2/widgets/new_password.html \
  /var/lib/authentic2/templates/authentic2/widgets/
mkdir -p /var/lib/authentic2/static/authentic2/js/
ln -s /usr/local/src/eeauthentic2/static/authentic2/js/password.js
  /var/lib/authentic2/static/authentic2/js/
```

## Upgrade

```bash
apt install git python3-babel
apt install -t $(lsb_release -c -s)-ee python3-zxcvbn
cd /usr/local/src/eeauthentic2
git pull
python3 setup.py install
vi -d conf/01-eeauthentic2.py /etc/authentic2/settings.d/01-eeauthentic2.py
service authentic2 reload
```

## Configuration

See `/etc/authentic2/settings.d/01-eeauthentic2.py`.

**Note:** the template file is `/usr/local/src/eeauthentic2/conf/01-eeauthentic2.py`.

## Copyright

Copyright (c) 2025 Benjamin Renard <brenard@easter-eggs.com>

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU
General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not,
write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.
